%define module Gtk2-Deprecated
%define fmodule Gtk2/Deprecated

%{?perl_default_filter}

Name:		perl-%module
Version:	0.05
Release:	%mkrel 23
Summary:	Perl module for deprecated gtk+-2.x widgets
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
URL:		http://gtk2-perl.sf.net/
Source0:	http://asofyet.org/muppet/software/gtk2-perl/%module-%version.tar.bz2

BuildRequires:	gtk+2-devel
BuildRequires:	perl-devel
BuildRequires:	perl-ExtUtils-Depends
BuildRequires:	perl-Gtk2 > 1.00

%description
This module provides perl access to the widgets that were deprecated
in gtk+2.x.

%prep
%setup -q -n %module-%version
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc README TODO NEWS AUTHORS LICENSE
%{_mandir}/*/*
%{perl_vendorarch}/%fmodule
%{perl_vendorarch}/%fmodule.pm
%{perl_vendorarch}/auto/%fmodule
%{perl_vendorarch}/Gtk2/*.pod


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.05-23.mga6
+ Revision: 1028005
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.05-22.mga6
+ Revision: 957412
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.05-21.mga6
+ Revision: 843363
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.05-20.mga5
+ Revision: 745041
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.05-19.mga5
+ Revision: 684900
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.05-18.mga5
+ Revision: 632443
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.05-17.mga4
+ Revision: 524801
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.05-16.mga4
+ Revision: 431529
- perl 5.18.0 rebuild

* Fri Jan 18 2013 fwang <fwang> 0.05-15.mga3
+ Revision: 389355
- rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.05-14.mga3
+ Revision: 367871
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.05-13.mga3
+ Revision: 250710
- rebuild for perl 5.16

* Sun Aug 28 2011 fwang <fwang> 0.05-12.mga2
+ Revision: 135819
- rebuild

* Sun Jun 12 2011 sander85 <sander85> 0.05-11.mga2
+ Revision: 104635
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 0.05-10.mga1
+ Revision: 36786
- no meta.yml
- rebuild
- imported package perl-Gtk2-Deprecated

